####################################################################################################
## Builder
####################################################################################################
FROM gradle:8.10.1-jdk21-alpine AS builder

WORKDIR /app

COPY ./ /app

RUN ./gradlew clean bootJar

####################################################################################################
## Final image
####################################################################################################
FROM eclipse-temurin:21-jdk-alpine

COPY --from=builder /app/build/libs/spring-boot-app.jar .

CMD ["java", "-jar", "spring-boot-app.jar"]

